# Paws

This repo holds most of my random small scripts, configs, paws(blobs)

---

## Contents

* [Configs](#configs)
  * [Cura](#cura)
    * [Materials](#materials)
      * [Clas Ohlsson's PLA](#clas-ohlssons-pla)
* [ShellScripts](#shellscripts)
  * [24-bit-color.sh](#24-bit-colorsh)
  * [rsync-incremental-backups.sh](#rsync-incremental-backupssh)

---

## Configs

### Cura

#### Materials

##### Clas Ohlsson's PLA

The material config file for Clas Ohlsson's PLA Materials

## ShellScripts

### 24-bit-color.sh

This script echoes a bunch of 24-bit color codes to the terminal to demonstrate its functionality and test color support of terminals.  
![An image showing four lines the first is fading black to red, second black to green, third black to blue, and the last is all rainbow colours](Docs/img/24-bit-color.png)

---

### rsync-incremental-backups.sh

This script performs incremental backups of the specified source directory using rsync, and it keeps a symbolic link called 'latest' pointing to the most recent backup for easy reference. The script also logs backup details in a log file with a timestamp. Make sure to replace `<input folder>` and `<output folder>` with your actual source and backup directories.
